Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.kernel
Interface ORBConnector

All Known Implementing Classes:
  OpenORBConnector

Deprecated. Because of doubts concerning the purpose of this interface and in order to simplify the kernel's architecture this class will be removed in future versions of OpenORB.

public interface ORBConnector

The ORB Connector is the entity which connects all OpenORB features to the OpenORB Kernel. NOTE: But what exactly do you understand by the OpenORB "kernel" and why is the loading of the kernel separated into another interface/class ??? In order to understand this interface/class we need a precise definition of what the OpenORB kernel is. The description is also confusing: "connects ... to the OpenORB kernel". This implies that the kernel is already started and the interface/class just attaches some additional stuff. In this context I find the name "load_kernel" most confusing !

Version:
  $Revision: 1.7 $ $Date: 2002/07/15 14:53:41 $
Author:
  Jerome Daniel

Method Summary
`void` | `load_kernel(ORB orb, ORBLoader loader)` Deprecated. This operation is used to load the OpenORB kernel.

Method Detail

### load_kernel

    public void load_kernel(ORB orb,
                            ORBLoader loader)

  Deprecated.
  This operation is used to load the OpenORB kernel.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD